Show / Hide Table of Contents

# Class VersionedTextDocumentIdentifier

Define a specific version of a text document

##### Inheritance

System.Object
TextDocumentIdentifier
VersionedTextDocumentIdentifier

##### Inherited Members

TextDocumentIdentifier.Uri
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class VersionedTextDocumentIdentifier : TextDocumentIdentifier

### Properties

| Improve this Doc View Source

#### Version

Gets or sets the Version of the changed text document

##### Declaration

    public int Version { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |